org.activiti.engine.history

## Interface HistoricTaskInstanceQuery

- All Superinterfaces:
    Query<HistoricTaskInstanceQuery,HistoricTaskInstance>, TaskInfoQuery<HistoricTaskInstanceQuery,HistoricTaskInstance>

      public interface HistoricTaskInstanceQuery
      extends TaskInfoQuery<HistoricTaskInstanceQuery,HistoricTaskInstance>

  Allows programmatic querying for `HistoricTaskInstance`s.
  Author:
    Tom Baeyens, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HistoricTaskInstanceQuery` | `finished()` Only select historic task instances which are finished.
    `HistoricTaskInstanceQuery` | `orderByDeleteReason()` Order by task delete reason (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricTaskInstanceQuery` | `orderByHistoricActivityInstanceId()` Order by the historic activity instance id this task was used in (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricTaskInstanceQuery` | `orderByHistoricActivityInstanceStartTime()` Deprecated. use `orderByHistoricTaskInstanceStartTime()`
    `HistoricTaskInstanceQuery` | `orderByHistoricTaskInstanceDuration()` Order by duration (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricTaskInstanceQuery` | `orderByHistoricTaskInstanceEndTime()` Order by end time (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricTaskInstanceQuery` | `orderByHistoricTaskInstanceStartTime()` Deprecated. Use `TaskInfoQuery.orderByTaskCreateTime()`
    `HistoricTaskInstanceQuery` | `processFinished()` Only select historic task instances which are part of a process instance which is already finished.
    `HistoricTaskInstanceQuery` | `processUnfinished()` Only select historic task instances which are part of a process instance which is not finished yet.
    `HistoricTaskInstanceQuery` | `taskCompletedAfter(Date endDate)` Only select select historic task instances which are completed after the given date
    `HistoricTaskInstanceQuery` | `taskCompletedBefore(Date endDate)` Only select select historic task instances which are completed before the given date
    `HistoricTaskInstanceQuery` | `taskCompletedOn(Date endDate)` Only select select historic task instances which are completed on the given date
    `HistoricTaskInstanceQuery` | `taskDeleteReason(String taskDeleteReason)` Only select historic task instances with the given task delete reason.
    `HistoricTaskInstanceQuery` | `taskDeleteReasonLike(String taskDeleteReasonLike)` Only select historic task instances with a task description like the given value.
    `HistoricTaskInstanceQuery` | `taskParentTaskId(String parentTaskId)` Only select subtasks of the given parent task
    `HistoricTaskInstanceQuery` | `unfinished()` Only select historic task instances which aren't finished yet.

    - ### Methods inherited from interface org.activiti.engine.task.TaskInfoQuery

      `deploymentId, deploymentIdIn, dueAfter, dueBefore, dueDate, endOr, executionId, includeProcessVariables, includeTaskLocalVariables, limitTaskVariables, locale, or, orderByDueDateNullsFirst, orderByDueDateNullsLast, orderByExecutionId, orderByProcessDefinitionId, orderByProcessInstanceId, orderByTaskAssignee, orderByTaskCreateTime, orderByTaskDefinitionKey, orderByTaskDescription, orderByTaskDueDate, orderByTaskId, orderByTaskName, orderByTaskOwner, orderByTaskPriority, orderByTenantId, processCategoryIn, processCategoryNotIn, processDefinitionId, processDefinitionKey, processDefinitionKeyIn, processDefinitionKeyLike, processDefinitionKeyLikeIgnoreCase, processDefinitionName, processDefinitionNameLike, processInstanceBusinessKey, processInstanceBusinessKeyLike, processInstanceBusinessKeyLikeIgnoreCase, processInstanceId, processInstanceIdIn, processVariableValueEquals, processVariableValueEquals, processVariableValueEqualsIgnoreCase, processVariableValueGreaterThan, processVariableValueGreaterThanOrEqual, processVariableValueLessThan, processVariableValueLessThanOrEqual, processVariableValueLike, processVariableValueLikeIgnoreCase, processVariableValueNotEquals, processVariableValueNotEqualsIgnoreCase, taskAssignee, taskAssigneeLike, taskAssigneeLikeIgnoreCase, taskCandidateGroup, taskCandidateGroupIn, taskCandidateUser, taskCategory, taskCreatedAfter, taskCreatedBefore, taskCreatedOn, taskDefinitionKey, taskDefinitionKeyLike, taskDescription, taskDescriptionLike, taskDescriptionLikeIgnoreCase, taskDueAfter, taskDueBefore, taskDueDate, taskId, taskInvolvedUser, taskMaxPriority, taskMinPriority, taskName, taskNameIn, taskNameInIgnoreCase, taskNameLike, taskNameLikeIgnoreCase, taskOwner, taskOwnerLike, taskOwnerLikeIgnoreCase, taskPriority, taskTenantId, taskTenantIdLike, taskVariableValueEquals, taskVariableValueEquals, taskVariableValueEqualsIgnoreCase, taskVariableValueGreaterThan, taskVariableValueGreaterThanOrEqual, taskVariableValueLessThan, taskVariableValueLessThanOrEqual, taskVariableValueLike, taskVariableValueLikeIgnoreCase, taskVariableValueNotEquals, taskVariableValueNotEqualsIgnoreCase, taskWithoutTenantId, withLocalizationFallback, withoutDueDate, withoutTaskDueDate`

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### taskDeleteReason

          HistoricTaskInstanceQuery taskDeleteReason(String taskDeleteReason)

      Only select historic task instances with the given task delete reason.

    - #### taskDeleteReasonLike

          HistoricTaskInstanceQuery taskDeleteReasonLike(String taskDeleteReasonLike)

      Only select historic task instances with a task description like the given value. The syntax that should be used is the same as in SQL, eg. %activiti%.

    - #### finished

          HistoricTaskInstanceQuery finished()

      Only select historic task instances which are finished.

    - #### unfinished

          HistoricTaskInstanceQuery unfinished()

      Only select historic task instances which aren't finished yet.

    - #### processFinished

          HistoricTaskInstanceQuery processFinished()

      Only select historic task instances which are part of a process instance which is already finished.

    - #### processUnfinished

          HistoricTaskInstanceQuery processUnfinished()

      Only select historic task instances which are part of a process instance which is not finished yet.

    - #### taskParentTaskId

          HistoricTaskInstanceQuery taskParentTaskId(String parentTaskId)

      Only select subtasks of the given parent task

    - #### taskCompletedOn

          HistoricTaskInstanceQuery taskCompletedOn(Date endDate)

      Only select select historic task instances which are completed on the given date

    - #### taskCompletedBefore

          HistoricTaskInstanceQuery taskCompletedBefore(Date endDate)

      Only select select historic task instances which are completed before the given date

    - #### taskCompletedAfter

          HistoricTaskInstanceQuery taskCompletedAfter(Date endDate)

      Only select select historic task instances which are completed after the given date

    - #### orderByHistoricActivityInstanceId

          HistoricTaskInstanceQuery orderByHistoricActivityInstanceId()

      Order by the historic activity instance id this task was used in (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricTaskInstanceDuration

          HistoricTaskInstanceQuery orderByHistoricTaskInstanceDuration()

      Order by duration (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricTaskInstanceEndTime

          HistoricTaskInstanceQuery orderByHistoricTaskInstanceEndTime()

      Order by end time (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricActivityInstanceStartTime

          @Deprecated
          HistoricTaskInstanceQuery orderByHistoricActivityInstanceStartTime()

      Deprecated. use `orderByHistoricTaskInstanceStartTime()`
      Order by start time (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricTaskInstanceStartTime

          HistoricTaskInstanceQuery orderByHistoricTaskInstanceStartTime()

      Deprecated. Use `TaskInfoQuery.orderByTaskCreateTime()`
      Order by start time (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByDeleteReason

          HistoricTaskInstanceQuery orderByDeleteReason()

      Order by task delete reason (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.